Import agent configuration
curl --request POST \
--url https://dust.tt/api/v1/w/{wId}/assistant/agent_configurations/import \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"agent": {
"handle": "<string>",
"description": "<string>",
"max_steps_per_run": 123,
"visualization_enabled": true,
"avatar_url": "<string>"
},
"instructions": "<string>",
"generation_settings": {
"model_id": "<string>",
"provider_id": "<string>",
"temperature": 123,
"reasoning_effort": "<string>"
},
"tags": [
{
"name": "<string>"
}
],
"editors": [
{
"user_id": "<string>",
"email": "<string>",
"full_name": "<string>"
}
],
"toolset": [
{
"name": "<string>",
"description": "<string>",
"type": "MCP",
"configuration": {}
}
]
}
'import requests
url = "https://dust.tt/api/v1/w/{wId}/assistant/agent_configurations/import"
payload = {
"agent": {
"handle": "<string>",
"description": "<string>",
"max_steps_per_run": 123,
"visualization_enabled": True,
"avatar_url": "<string>"
},
"instructions": "<string>",
"generation_settings": {
"model_id": "<string>",
"provider_id": "<string>",
"temperature": 123,
"reasoning_effort": "<string>"
},
"tags": [{ "name": "<string>" }],
"editors": [
{
"user_id": "<string>",
"email": "<string>",
"full_name": "<string>"
}
],
"toolset": [
{
"name": "<string>",
"description": "<string>",
"type": "MCP",
"configuration": {}
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
agent: {
handle: '<string>',
description: '<string>',
max_steps_per_run: 123,
visualization_enabled: true,
avatar_url: '<string>'
},
instructions: '<string>',
generation_settings: {
model_id: '<string>',
provider_id: '<string>',
temperature: 123,
reasoning_effort: '<string>'
},
tags: [{name: '<string>'}],
editors: [{user_id: '<string>', email: '<string>', full_name: '<string>'}],
toolset: [{name: '<string>', description: '<string>', type: 'MCP', configuration: {}}]
})
};
fetch('https://dust.tt/api/v1/w/{wId}/assistant/agent_configurations/import', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"agentConfiguration": {
"id": 12345,
"sId": "7f3a9c2b1e",
"version": 2,
"versionCreatedAt": "2023-06-15T14:30:00Z",
"versionAuthorId": "0ec9852c2f",
"name": "Customer Support Agent",
"description": "An AI agent designed to handle customer support inquiries",
"instructions": "Always greet the customer politely and try to resolve their issue efficiently.",
"pictureUrl": "https://example.com/agent-images/support-agent.png",
"status": "active",
"scope": "workspace",
"userFavorite": true,
"model": {
"providerId": "openai",
"modelId": "gpt-4",
"temperature": 0.7
},
"actions": [],
"maxStepsPerRun": 10,
"templateId": "b4e2f1a9c7"
},
"skippedActions": [
{
"name": "<string>",
"reason": "<string>"
}
]
}Agents
Import agent configuration
Create a new agent configuration from a JSON body matching the agent config schema.
POST
/
api
/
v1
/
w
/
{wId}
/
assistant
/
agent_configurations
/
import
Import agent configuration
Authorizations
Your DUST API key is a Bearer token.
Path Parameters
ID of the workspace
Body
application/json
⌘I